<bugID>963494<Summary>'Restore defaults' does not restore the appearance of the default toolbar buttons when they were placed in the menu before</Summary><Description>Created attachment 8364967
Screenshot of the issue

STR:
1. Enter Customization Mode
2. Move the Bookmarks button, the Downloads button and/or the Home button to the menu
3. Hit 'Restore defaults' 

Actual result:
See the screenshot. The buttons are added to the toolbar with a label below or next to them

Expected result:
The buttons are added to the toolbar and their 'toolbar appearance is restored


Note: This doesn't happen if the buttons are moved to the palette instead of the menu.</Description></bugID>